Upgrade needed Rated 5 out of 5 stars

Please upgrade this to TB3!

This review is for a previous version of the add-on (1.0.1).